<?php
if (!defined('webid')) {
    exit();
}
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}
?>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Реклама в каталоге</h3>
Каталог сайтов - лучшее решение для повышении позиции вашего сайта. Придерживаясь критериям, посетитель всегда будет знать с какой целью он посещает ваш ресурс. Реклама размещается за <b>поинты</b>. Узнать, как можно заработать <b>поинты</b>, Вы можете перейдя в <b>Моя статистика</b><br /><br />
<style type="text/css">
#error {
    color: #800000;
    text-align: center;
    padding: 5px 0;
    font-weight: bold;
}
</style>
<script type="text/javascript">
$('#ask_desc').tipTip({defaultPosition:'top'});
$('#description, .techno').tipTip({defaultPosition:'left'});

function descchange(elem) {
    if (elem.value.length > 300) {
        elem.value = elem.value.substr(0,300);
    }
    $('#countsms').html('Осталось '+(300-elem.value.length)+' символов');
}
</script>
<?
if ($points > 0) {
    ?>
<script type="text/javascript">
function addcatalog() {
    $.post('ajax.php?func=addcat',{
        description : $('#description').val(),
        category : $('#category').val(),
        url : $('#url').val(),
        ask_desc: $('#ask_desc').val()
    }, function(data){
        if (data == 1) {
            $('.catok').fadeIn(500).html('Ссылка успешно размещена');
            $('.otab').remove();
        } else {
            $('.open').fadeIn(500);
            $('#error').fadeIn(500).html(data);
            setTimeout(function(){
                $('.open').fadeOut(500);
            }, 2000);
        }
    });
    return false;
}
</script>
    <?
}
?>
<div class="catok" style="margin: 10px 0; padding: 5px; display: none; color: #1c62b9; text-align: center;"></div>
<form name="surforder" onsubmit="addcatalog(); return false;">
<table class="otab" width="100%" border="0" cellpadding="0" cellspacing="1">
<?
if ($points <= 0) {
    ?>
    <thead>
        <th colspan="2" style="padding: 5px; background: #ebebeb; font-weight: normal;"><span style="color: #800000; font-size: 12px; text-shadow: 0 1px 0 #f7f7f7;">У Вас недостаточно <b>поинтов</b> для размещение рекламы</span></th>
    </thead>
    <?
} else {
?>
    <thead>
        <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 150px;">Форма для размещения рекламы в каталоге</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" /></span></th>
    </thead>
<?}?>
    <tr class="open" style="display: none;">
        <td colspan="2" style="background: #ebebeb;"><div id="error"></div></td>
    </tr>
    <tr>
        <td class="lt" width="48%">Заголовок ссылки</td>
        <td class="rt"><input class="val" type="text" name="description" id="description" size="38" maxlength="55" title="<b>Заголовок ссылки</b> - максимум 55 символов.<br />Заголовок должен быть коротким и понятным.<br />Соблюдайте грамматику. Небрежное написание оттолкнёт посетителей.<br /> Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br />знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела." /></td>
    </tr>
    <tr>
        <td class="lt">Категория</td>
        <td class="rt"><select class="techno" id="category" onchange="PlanChange(this.form); return false;" title="Выберите категорию, подходящая под описание вашего ресурса">
        <?
        $v_cat = mysql_query("SELECT * FROM catalog");
        while ($row_cat = mysql_fetch_array($v_cat)) {
            echo '<optgroup label="' . $row_cat['name'] . '">...</optgroup>';
            $id_cat = mysql_query("SELECT * FROM catalog_id WHERE cat = '$row_cat[id]'");
            while ($row_idcat = mysql_fetch_array($id_cat)) {
                echo '<option value="' . $row_idcat['id'] . '">' . $row_idcat['name'] . '</option>';
            }
        }
        ?>
        </select></td>
    </tr>
    <tr>
        <td class="lt" width="48%">URL сайта</td>
        <td class="rt"><input class="val" type="text" name="url" id="url" size="38" maxlength="55" value="http://" /></td>
    </tr>
    <tr><td class="rt" colspan="2" id="countsms" style="text-align: center; padding: 5px; font-size: 11px;">Осталось 300 символов</td></tr>
    <tr><td colspan="2" align="center" style="padding: 5px; background: #ebebeb;"><textarea class="expanding" id='ask_desc' onkeyup="descchange(this);" title="<b>Краткое описание сайта</b>- максимум 300 символов.<br>Содержание должно быть информативным и понятным.<br>
Соблюдайте грамматику. <br>Не пишите всё ЗАГЛАВНЫМИ БУКВАМИ, не ставьте множество однотипных<br>
знаков типа: !!!!!! и т.д. После запятой правильно ставить знак пробела.<br>Уважайте посетителей."></textarea></td>
    </tr>
</table>
</form>